## org.eclipse.datatools.sqltools.routineeditor
Class RoutineAnnotationModel

    java.lang.Object
      ResourceMarkerAnnotationModel
          org.eclipse.datatools.sqltools.routineeditor.RoutineAnnotationModel

public class RoutineAnnotationModel
extends ResourceMarkerAnnotationModel

This is the default annotation model for routine objects.

Author:
  Hui Cao
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `ATTR_PROCIDENTIFIER`

Constructor Summary
`RoutineAnnotationModel(ProcIdentifier procid)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTR_PROCIDENTIFIER

    public static final java.lang.String ATTR_PROCIDENTIFIER

Constructor Detail

### RoutineAnnotationModel

    public RoutineAnnotationModel(ProcIdentifier procid)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.